var _excluded = ["visible", "config", "type", "autoLocation", "getLocation", "getAddress", "value", "onChange", "footerRender"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { forwardRef } from 'react';
import _ from 'lodash';
import Preview from "./Preview";
import Choose from "./Choose";

// 内库使用
import Map from "./../../Map";

// 测试使用
// import { Map } from 'seedsui-react'

var coordsToWgs84 = Map.coordsToWgs84,
  wgs84ToCoords = Map.wgs84ToCoords;

// 地图标注
var Main = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var visible = _ref.visible,
    config = _ref.config,
    type = _ref.type,
    _ref$autoLocation = _ref.autoLocation,
    autoLocation = _ref$autoLocation === void 0 ? true : _ref$autoLocation,
    getLocation = _ref.getLocation,
    getAddress = _ref.getAddress,
    value = _ref.value,
    _onChange = _ref.onChange,
    footerRender = _ref.footerRender,
    props = _objectWithoutProperties(_ref, _excluded);
  if (!_.isEmpty(value)) {
    // eslint-disable-next-line
    value = coordsToWgs84(value, type);
  }
  if (visible === 'preview') {
    return /*#__PURE__*/React.createElement(Preview, _extends({
      ref: ref,
      config: config,
      value: value
    }, props));
  }
  if (visible === 'choose') {
    return /*#__PURE__*/React.createElement(Choose, _extends({
      ref: ref,
      config: config,
      autoLocation: autoLocation,
      getLocation: getLocation,
      getAddress: getAddress,
      value: value,
      onChange: function onChange(newValue) {
        if (!_.isEmpty(newValue)) {
          // eslint-disable-next-line
          newValue = wgs84ToCoords(newValue, type);
        }
        _onChange && _onChange(newValue);
      }
    }, props));
  }
  return null;
});
export default Main;